BSON_ARRAY_BUILDER_APPEND_VECTOR_PACKED_BIT_ELEMENTS(3)

SYNOPSIS

            bool
            bson_array_builder_append_vector_packed_bit_elements (bson_array_builder_t *builder,
                                                                  bson_vector_packed_bit_const_view_t view);

PARAMETERS

    •   builder: A valid bson_array_builder_t <>.

    •   view: A bson_vector_packed_bit_const_view_t <> pointing to validated packed_bit BSON Binary Vector subtype <> data.

DESCRIPTION

Converts the Vector pointed to by view into elements of a plain BSON Array, written to builder. Every element will be 0 or 1 written as a BSON_TYPE_INT32.

RETURNS

Returns true if the operation was applied successfully. The function fails if appending the array grows bson larger than INT32_MAX.

See also:
        bson_append_array_from_vector() <>
        bson_array_builder_append_vector_elements() <>

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.